<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:include href="common.xsl"/>

  <xsl:output method="html"/>
  
  <xsl:variable name="es">español</xsl:variable>
  <xsl:variable name="fr">français</xsl:variable>
  <xsl:variable name="ru">русский</xsl:variable>
  <xsl:template match="TutorialList">
    <html>
      <head>
	<title><xsl:apply-templates select="Title/Text"/>: <xsl:value-of select="Version/@current"/></title>
      </head>
      <body>
	<h2><xsl:apply-templates select="Title/Text"/><xsl:text>  </xsl:text><a href="es/index.html"><xsl:value-of select="$es"/></a><xsl:text>  </xsl:text><a href="fr/index.html"><xsl:value-of select="$fr"/></a><xsl:text>  </xsl:text><a href="ru/index.html"><xsl:value-of select="$ru"/></a></h2>
	<h3><xsl:apply-templates select="SupplementaryText/Text[@id='current']"/><xsl:text> </xsl:text><xsl:value-of select="Version/@current"/></h3>
	<p><a href="en/all_tutorials.html"><xsl:apply-templates select="/TutorialList/SupplementaryText/Text[@id='print']"/></a><xsl:text>  </xsl:text><a href="es/all_tutorials.html"><xsl:value-of select="$es"/></a><xsl:text>  </xsl:text><a href="fr/all_tutorials.html"><xsl:value-of select="$fr"/></a><xsl:text>  </xsl:text><a href="ru/all_tutorials.html"><xsl:value-of select="$ru"/></a></p>
	<xsl:apply-templates select="Comment"/>
	<dl>
	  <xsl:apply-templates select="Tutorial[not(@hidden)]"/>
	</dl>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="Tutorial">
    <dt><a href="en/{@id}.htm"><xsl:apply-templates select="Title/Text"/></a><xsl:text>  </xsl:text><a href="es/{@id}.htm"><xsl:value-of select="$es"/></a><xsl:text>  </xsl:text><a href="fr/{@id}.htm"><xsl:value-of select="$fr"/></a><xsl:text>  </xsl:text><a href="ru/{@id}.htm"><xsl:value-of select="$ru"/></a></dt>
    <dd><xsl:for-each select="Content/Heading">
	<xsl:apply-templates/><br/>
      </xsl:for-each>
    </dd>
  </xsl:template>
    
</xsl:stylesheet>
